Version: 	1.43
Summary: 	Dell laptop SMM BIOS support
Name: 		i8kutils
Release: 	%mkrel 3
License: 	GPLv2+
Group: 		Monitoring
Source: 	https://launchpad.net/i8kutils/trunk/%{version}/+download/%{name}_%{version}.tar.xz
URL: 		https://launchpad.net/i8kutils
Obsoletes:	i8kmon

%description
This package contains a user-space programs for accessing the SMM BIOS
of Dell Inspiron and Latitude laptops. The SMM BIOS is used on many recent
laptops to implement APM functionalities and to access custom hardware,
for example cooling fans and volume buttons.

Also provided is a cool and useful plugin for gkrellm.
Note that you need the "Dell Laptop" option compiled into your kernel
(included in the main kernel tree since 2.4.14-pre8)

%prep
%setup -q -n %{name}

%build
%make_build CFLAGS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 i8kctl %{buildroot}%{_bindir}
install -m 755 i8kfan %{buildroot}%{_bindir}
install -m 755 i8kmon %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 i8kctl.1 %{buildroot}%{_mandir}/man1
install -m 644 i8kmon.1 %{buildroot}%{_mandir}/man1

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 debian/i8kmon.service %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 i8kmon.conf %{buildroot}%{_sysconfdir}

install -d -m 755 %{buildroot}%{_sysconfdir}/modprobe.d
install -m 644 dell-smm-hwmon.conf %{buildroot}%{_sysconfdir}/modprobe.d

%files
%doc README.*
%config(noreplace) %{_sysconfdir}/i8kmon.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/dell-smm-hwmon.conf
%{_bindir}/i8kctl
%{_bindir}/i8kfan
%{_bindir}/i8kmon
%{_mandir}/man1/i8kctl.1*
%{_mandir}/man1/i8kmon.1*
%{_unitdir}/i8kmon.service


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.43-3.mga8
+ Revision: 1513520
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.43-2.mga7
+ Revision: 1298248
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 guillomovitch <guillomovitch> 1.43-1.mga7
+ Revision: 1156257
- new version 1.43
- merge back i8kmon in main package
- add missing files (service, configuration, man pages)

* Thu Feb 04 2016 umeabot <umeabot> 1.40-4.mga6
+ Revision: 935215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40-3.mga5
+ Revision: 750881
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40-2.mga5
+ Revision: 680399
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1.40-1.mga5
+ Revision: 555389
- 1.40

* Fri Oct 18 2013 umeabot <umeabot> 1.33-3.mga4
+ Revision: 505958
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.33-2.mga3
+ Revision: 354022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 dotmil <dotmil> 1.33-1.mga2
+ Revision: 199672
- imported package i8kutils


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.33-3mdv2011.0
+ Revision: 619494
- the mass rebuild of 2010.0 packages

* Fri Oct 23 2009 Olivier Blin <oblin@mandriva.com> 1.33-2mdv2010.0
+ Revision: 459005
- split out i8kmon in its own package (suggested by i8kutils), not to
  pull tcl/tk and libX11 in minimal installations

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.33-1mdv2010.0
+ Revision: 450631
- update to new version 1.33

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.27-4mdv2010.0
+ Revision: 429484
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.27-3mdv2009.0
+ Revision: 247134
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.27-1mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1.27-1mdv2008.0
+ Revision: 63867
- rebuild for 2008
- don't package license (not required)
- use makeinstall_std macro
- correct URLs
- use Fedora license policy (GPLv2+)
- requires tcl and tk (fix #31132)
- new release 1.27
- Import i8kutils



* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 1.25-2mdk
- rebuild

* Tue Aug 24 2004 Erwan Velu <erwan@mandrakesoft.com> 1.25-1mdk
- 1.25
* Tue Oct 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.17-2mdk
- buildrequires
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- quiet setup
- compile with $RPM_OPT_FLAGS
- updated description

* Wed Dec 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- new
